#ifndef _KTARIF_H_
#define _KTARIF_H_

#include <time.h>

#define _KTARIF_CDTIME    11               // seconds to detect carrier
#define _KTARIF_MPU       0.12             // money per unit

// the different rate zones
enum zones { city, region50, region200, fern };

class kTarif {
  // Tarif-Berechnung
  int dauer[4];
  int feiertag;
  // Online-Berechnung
  time_t begin;
  unsigned int cd_time;
  long online;
  int units[4];
  int rest[4];
  long last[4];
public:
  kTarif(unsigned int delay=_KTARIF_CDTIME); // Konstruktor
  ~kTarif();                                 // Destructor

  void kTarifUpdate();
  void kTarifReset();
  void kTarifReset(zones z);
  long kTarifGetOnline();
  int kTarifGetRTime(zones z); 
  int kTarifGetDuration(zones z);
  int kTarifGetUnits(zones z);
  float kTarifGetMoney(zones z);
  int kTarifIsHoliday(int day, int month);

private:
  void kTarifStart();
};

#endif
