#ifndef MOMON_H
#define MOMON_H

#include <qlabel.h>
#include <qdialog.h>
#include <qpushbt.h>

#include "kmodem.h"
#include "ktarif.h"

#define VERSION       "2.01b"                // version of program

class MomonView : public QWidget {		
  Q_OBJECT
public:
  MomonView(QWidget *parent=0, const char *name=0);
  
  void setParameters(char pname[256], int zone, int log, char lfile[256], char cfile[256], int cdt, char mdev[256], int testing);

protected:
  void timerEvent(QTimerEvent *);

private slots:
  void buttClicked();

private:
  QLabel *msg[5];
  QPushButton *butt;
  int currTimer;
  QString cur_time_str, cd_log_time;
  int count;
  int prepToLog, fehlertol;
  int test;

  int old_cd, cd_flag, off_printed;        // misc
  float money, ges_money, abs_money;           // Kosten
  long o_time;                                 // Online Zeit
  
  char prg_name[256], logfile[256], costfile[256];
  zones akt_zone;
  int logging;
  int cd_time;

  kTarif tarif;                                // Tarif Klasse
  kModem modem;                                // Modem Klasse

  void showTime();
  void writeLog(int x);
  void setZoneButt(zones z);
};


#endif // MOMON_H





